]> ruderich.org/simon Gitweb - config/dotfiles.git/blobdiff - t/test.sh
t: Add another test.
[config/dotfiles.git] / t / test.sh
index aedbff09d350623626a03b886ae09d34321aaec8..81e3b12aaf36c0240186ca04f6c8665dce54b8f1 100755 (executable)
--- a/t/test.sh
+++ b/t/test.sh
@@ -55,6 +55,10 @@ function testme() {
     }
     return 42;
 }
+
+allow = \$! \$? \$.
+allow = \$! \$? \$.
+allow = \$! \$? \$.
 EOF
 git add test.txt
 git commit -m 'Initial commit.' > /dev/null
@@ -83,6 +87,10 @@ function testme() {
     }
     return 42;
 }
+
+allow = \$0 \$! \$? \$.
+allow = \$! \$?
+allow = \$0 \$! \$?
 EOF